#ifndef FMP_SETTINGS_PLUGIN_P_H
#define FMP_SETTINGS_PLUGIN_P_H

#include <ctkPluginActivator.h>

class FMPSettings;

class FMPSettingsPlugin : public QObject, public ctkPluginActivator
{
  Q_OBJECT
  Q_INTERFACES(ctkPluginActivator)
#if (QT_VERSION > QT_VERSION_CHECK(5,0,0))
  Q_PLUGIN_METADATA(IID "com_fmp_settings")
#endif

public:
  explicit          FMPSettingsPlugin();

  void              start(ctkPluginContext* context);
  void              stop(ctkPluginContext* context);

private:

  FMPSettings*      _sets_service;

}; // FMPSettingsPlugin

#endif // FMP_SETTINGS_PLUGIN_P_H
